From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyftpdlib/
Date: Thu, 26 Oct 2023 03:12:32 +0000 (UTC) [thread overview]
Message-ID: <1698288128.e6cd58410570ca357fe98b95d49f3b38dfa93331.mgorny@gentoo> (raw)
commit: e6cd58410570ca357fe98b95d49f3b38dfa93331
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 26 02:42:08 2023 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Oct 26 02:42:08 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e6cd5841
dev-python/pyftpdlib: Bump to 1.5.9
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pyftpdlib/Manifest | 1 +
dev-python/pyftpdlib/pyftpdlib-1.5.9.ebuild | 61 +++++++++++++++++++++++++++++
2 files changed, 62 insertions(+)
diff --git a/dev-python/pyftpdlib/Manifest b/dev-python/pyftpdlib/Manifest
index 3a21928838cd..7d008402cb23 100644
--- a/dev-python/pyftpdlib/Manifest
+++ b/dev-python/pyftpdlib/Manifest
@@ -1 +1,2 @@
DIST pyftpdlib-1.5.8.tar.gz 201963 BLAKE2B 5a957c207dcdc7c8d66d6ed4176cd12db019cf3d5247233db057b5c266a4fbda5e6e1c0b8ccdf33b4c154400d5d7a5e9a62ab9244f7c74c03c2f912a2ac0eb2f SHA512 2d4c4beb40d604d41eeed51f690b805377e84e594bdbb5d67135f50e5696824ba24aa9ae53aecced9f6c1b7eb3ec7727d31b883f9bbb0d2c43802277b2ef2aa6
+DIST pyftpdlib-1.5.9.tar.gz 204755 BLAKE2B f96e670a37023489a3f70f28d7e489633031f4c8dd34e6ece04a13a36a5de60f216dc267a80650c3f315a6a83081b1afc1b470c75ca18af5a80729a7ac363b98 SHA512 3efa07f5522cee89d2bf60c93b1315dfb149da622f34e043aca0ac1c4336c0a0885d7238123068401afa6988da9cbde6adfac78f08918d3a14e84c17ebb8b32f
diff --git a/dev-python/pyftpdlib/pyftpdlib-1.5.9.ebuild b/dev-python/pyftpdlib/pyftpdlib-1.5.9.ebuild
new file mode 100644
index 000000000000..afb20a57db76
--- /dev/null
+++ b/dev-python/pyftpdlib/pyftpdlib-1.5.9.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_REQ_USE="ssl(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python FTP server library"
+HOMEPAGE="
+ https://github.com/giampaolo/pyftpdlib/
+ https://pypi.org/project/pyftpdlib/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE="examples ssl"
+
+RDEPEND="
+ ssl? ( dev-python/pyopenssl[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs dev-python/sphinx-rtd-theme
+
+python_test() {
+ rm -rf pyftpdlib || die
+ # Some of these tests tend to fail
+ local EPYTEST_DESELECT=(
+ # fail because they process sys.argv and expect program args
+ # rather than pytest args, sigh
+ test/test_misc.py
+ # TODO
+ test/test_functional_ssl.py::TestFtpListingCmdsTLSMixin::test_nlst
+ )
+ # Tests fail with TZ=GMT, see https://bugs.gentoo.org/666623
+ local -x TZ=UTC+1
+ # Skips some shoddy tests plus increases timeouts
+ local -x TRAVIS=1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest --pyargs pyftpdlib
+}
+
+python_install_all() {
+ if use examples; then
+ docinto examples
+ dodoc -r demo/.
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+ distutils-r1_python_install_all
+}
next reply other threads:[~2023-10-26 3:12 UTC|newest]
Thread overview: 103+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-10-26 3:12 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-11-09 10:21 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyftpdlib/ Michał Górny
2024-11-09 10:08 Arthur Zamarin
2024-10-23 6:16 Michał Górny
2024-10-05 9:10 Michał Górny
2024-10-05 8:34 Arthur Zamarin
2024-09-14 13:22 Arthur Zamarin
2024-09-05 2:21 Michał Górny
2024-07-13 8:01 Michał Górny
2024-07-13 7:27 Arthur Zamarin
2024-06-24 2:41 Michał Górny
2024-06-24 2:41 Michał Górny
2023-11-25 10:35 Michał Górny
2023-11-25 8:38 Sam James
2023-10-14 18:28 Michał Górny
2023-10-14 16:52 Arthur Zamarin
2023-10-02 4:46 Michał Górny
2023-09-13 2:15 Sam James
2023-08-11 19:12 Michał Górny
2023-08-11 19:09 Arthur Zamarin
2023-07-08 15:23 Michał Górny
2022-11-04 17:09 Arthur Zamarin
2022-11-04 17:08 Arthur Zamarin
2022-10-05 5:20 Arthur Zamarin
2022-10-05 5:20 Arthur Zamarin
2022-09-07 7:51 Michał Górny
2022-07-04 6:57 Michał Górny
2021-11-28 14:42 Michał Górny
2021-08-07 13:52 Michał Górny
2021-08-07 13:52 Michał Górny
2021-08-07 13:52 Michał Górny
2021-08-07 13:52 Michał Górny
2021-08-07 13:29 Michał Górny
2021-05-11 17:20 Louis Sautier
2020-12-07 22:18 Louis Sautier
2020-09-10 21:08 Louis Sautier
2020-07-19 18:33 Michał Górny
2020-07-14 16:32 Sam James
2020-05-11 15:32 Mart Raudsepp
2020-05-10 9:28 Sergei Trofimovich
2020-05-04 16:51 Agostino Sarubbo
2020-05-03 15:13 Agostino Sarubbo
2020-05-03 10:25 Agostino Sarubbo
2020-04-12 18:27 Sergei Trofimovich
2020-02-27 23:28 Louis Sautier
2020-01-03 14:39 Agostino Sarubbo
2019-12-11 22:10 Louis Sautier
2019-12-11 16:03 Matt Turner
2019-12-11 16:01 Matt Turner
2019-12-10 9:19 Agostino Sarubbo
2019-12-03 11:58 Agostino Sarubbo
2019-12-03 10:07 Agostino Sarubbo
2019-12-03 8:38 Agostino Sarubbo
2019-12-01 14:23 Agostino Sarubbo
2019-11-30 3:16 Aaron Bauman
2019-11-29 11:52 Louis Sautier
2019-11-29 9:13 Agostino Sarubbo
2019-11-27 14:13 Louis Sautier
2019-09-14 20:55 Matt Turner
2019-07-29 15:38 Aaron Bauman
2019-04-13 2:44 Aaron Bauman
2019-04-09 12:07 Louis Sautier
2019-01-02 21:29 Tim Harder
2018-12-06 16:14 Mikle Kolyada
2018-10-18 11:45 Tobias Klausmann
2018-10-17 8:51 Tobias Klausmann
2018-10-03 21:08 Louis Sautier
2018-09-16 20:25 Matt Turner
2018-08-05 11:33 Sergei Trofimovich
2018-07-14 14:52 Louis Sautier
2018-07-13 18:46 Sergei Trofimovich
2018-07-09 15:45 Mikle Kolyada
2018-07-03 13:09 Louis Sautier
2018-07-02 0:49 Thomas Deutschmann
2018-07-01 9:11 Sergei Trofimovich
2018-06-30 21:12 Sergei Trofimovich
2018-06-30 14:45 Sergei Trofimovich
2018-06-27 21:44 Louis Sautier
2018-06-27 10:05 Tobias Klausmann
2018-06-27 6:25 Sergei Trofimovich
2018-06-25 7:25 Louis Sautier
2018-06-24 10:18 Sergei Trofimovich
2018-06-24 9:40 Mikle Kolyada
2018-06-13 18:52 Markus Meier
2018-06-02 17:38 Sergei Trofimovich
2018-05-30 21:21 Patrice Clement
2018-02-22 18:08 Michał Górny
2017-11-17 18:47 David Seifert
2017-06-12 21:46 Patrice Clement
2017-05-02 10:33 Paweł Hajdan
2017-03-29 1:39 Jeroen Roovers
2017-02-28 12:30 Tobias Klausmann
2017-02-23 16:30 Agostino Sarubbo
2017-02-23 15:55 Agostino Sarubbo
2017-02-23 14:56 Michael Weber
2017-02-23 13:45 Michael Weber
2017-02-23 13:16 Michael Weber
2017-01-29 17:15 Fabian Groffen
2016-12-11 1:06 David Seifert
2016-12-11 1:06 David Seifert
2015-11-20 1:23 Mike Frysinger
2015-10-06 13:36 Mikle Kolyada
2015-09-21 3:58 Jeroen Roovers
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1698288128.e6cd58410570ca357fe98b95d49f3b38dfa93331.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox